module Backend::Api::Loaders
  class Teacher < GraphQL::DataLoader::Loader(Int32, Int32, Backend::Db::Teacher?)
    def fetch(batch ids : Array(Int32)) : Array(Db::Teacher?)
      teachers = Db::Teacher.query.where { id.in?(ids) }.to_a
      ids.map { |id| teachers.find { |t| t.id == id } }
    end
  end
end
