module Backend::Api::Loaders
  class Vote < GraphQL::DataLoader::Loader(Int32, Int32, Backend::Db::Vote?)
    def fetch(batch ids : Array(Int32)) : Array(Db::Vote?)
      votes = Db::Vote.query.where { id.in?(ids) }.to_a
      ids.map { |id| votes.find { |v| v.id == id } }
    end
  end
end
