module Backend::Db
  class Student
    include Clear::Model
    self.table = :students

    primary_key type: :serial

    belongs_to user : User
    belongs_to class_model : Class, foreign_key: :class_id

    has_one vote : Vote?, foreign_key: :student_id
    has_one assignment : Assignment?, foreign_key: :student_id
  end
end
