use graphql_client::GraphQLQuery;

use crate::graphql::scalars;

type UUID = scalars::UUID;
type Time = String;

#[derive(GraphQLQuery)]
#[graphql(
    schema_path = "graphql/schema.graphql",
    query_path = "graphql/queries/tokens.graphql",
    response_derives = "Debug"
)]
pub struct Tokens;
