use graphql_client::GraphQLQuery;

#[derive(GraphQLQuery)]
#[graphql(
    schema_path = "graphql/schema.graphql",
    query_path = "graphql/queries/users_by_role_students.graphql",
    response_derives = "Debug",
    skip_serializing_none
)]
pub struct Students;

#[derive(GraphQLQuery)]
#[graphql(
    schema_path = "graphql/schema.graphql",
    query_path = "graphql/queries/users_by_role_teachers.graphql",
    response_derives = "Debug",
    skip_serializing_none
)]
pub struct Teachers;
