require "graphql-dataloader"

require "../db.cr"

require "./loaders/*"

module Backend::Api::Loaders
  class DataLoaders
    getter user = User.new
    getter user_student = UserStudent.new
    getter user_teacher = UserTeacher.new

    getter student = Student.new
    getter student_vote = StudentVote.new

    getter teacher = Teacher.new

    getter vote = Vote.new

    getter teacher_vote = TeacherVote.new
  end
end
