module Backend::Api::Loaders
  class TeacherVote < GraphQL::DataLoader::Loader(Int32, Int32, Backend::Db::TeacherVote?)
    def fetch(batch ids : Array(Int32)) : Array(Db::TeacherVote?)
      teacher_votes = Db::TeacherVote.query.where { id.in?(ids) }.to_a
      ids.map { |id| teacher_votes.find { |tv| tv.id == id } }
    end
  end
end
