class Backend::Templates::Users
  struct User
    property first_name
    property last_name
    property username
    property password

    def initialize(
      @first_name : String,
      @last_name : String,
      @username : String,
      @password : String?
    )
    end
  end

  struct Student
    property class_name
    property user

    def initialize(@class_name : String, @user : User)
    end
  end

  def initialize(
    @time : Time,
    @classes : Array({String, Int32}),
    @students : Array(Student),
    @teachers : Array(User)
  )
  end

  ECR.def_to_s "templates/html/users.min.html.ecr"
end
