use graphql_client::GraphQLQuery;

use crate::graphql::scalars;

type UUID = scalars::UUID;

#[derive(GraphQLQuery)]
#[graphql(
    schema_path = "graphql/schema.graphql",
    query_path = "graphql/mutations/revoke_token.graphql",
    response_derives = "Debug",
    skip_serializing_none
)]
pub struct RevokeToken;
